    Load the background from a file and add it to a PHA data set.

load_bkg(id, arg=None, use_errors=False, bkg_id=None)
id - int or str, optional
use_errors - bool, optional
bkg_id - int or str, optional

This will load the PHA data and any response information - so ARF and RMF - and add it as a background component to the PHA data set.

Load a source and background data set:

>>> load_pha('src.pi') read ARF file src.arf read RMF file src.rmf >>> load_bkg('src_bkg.pi')

Read in the background via Crates:

>>> bpha = pycrates.read_pha('src_bkg.pi') >>> load_bkg(bpha)

Create the data set from the data read in by AstroPy:

>>> bhdus = astropy.io.fits.open('src_bkg.pi') >>> load_bkg(bhdus)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
arg
Identify the data to read: a file name, or a data structure representing the data to use, as used by the I/O backend in use by Sherpa: a phacratedataset for crates, as used by CIAO, or a list of AstroPy HDU objects.
use_errors
If True then the statistical errors are taken from the input data, rather than calculated by Sherpa from the count values. The default is False .
bkg_id
The identifier for the background (the default of none

uses the first component).

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `arg` parameter. If given two un-named arguments, then they are interpreted as the `id` and `arg` parameters, respectively. The remaining parameters are expected to be given as named arguments.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023